Download it now!
Bug 76163 - FILESAVE: File gets corrupted after save
Summary: FILESAVE: File gets corrupted after save
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-14 09:50 UTC by Rohit Deshmukh
Modified: 2014-04-25 20:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file (2.91 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-14 10:07 UTC, Rohit Deshmukh
Details
Screenshot of MS office (54.03 KB, image/png)
2014-03-14 10:08 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-03-14 09:50:21 UTC
1. Open the file in LO.
2. Save the file with Docx format.
3. LO crashes.

File corrupt after save, MS open with dialogue.
Please find attached screen shot.
Comment 1 Rohit Deshmukh 2014-03-14 10:07:45 UTC
Created attachment 95788 [details]
Original file
Comment 2 Rohit Deshmukh 2014-03-14 10:08:31 UTC
Created attachment 95789 [details]
Screenshot of MS office
Comment 3 Jorendc 2014-03-14 16:34:19 UTC
Reproducible a crash while saving attached file using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 1b6e87fc232e78790d45a54b7a4ac7fe02d2c587
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-08_23:04:18

Kind regards,
Joren
Comment 4 Commit Notification 2014-03-22 13:47:51 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=802b6aaed855376b24d09acd5aa91abf80a9f71a

fdo#76163 Fix for file corruption which contains fields and hyperlink



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jorendc 2014-03-24 11:07:41 UTC
Strange, as I said in comment 3 (even saving the file using LibreOffice does result in a crash): I can _NOT_ reproduce a crash anymore when saving this file. Now my Word for Mac 2011 just crash on this file :p. Not sure this is a good or bad sign ;-) (a bug in Word or bug in the file?).

But, uploading this file on skydrive, result in a correct document when opening.

Tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: aeab0183e86fe011d32058864c02b2de4da32dc9
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-24_05:49:57

@Rohit: can MS office open the roundtripped file on your computer?

Thanks for the fix and testing :)

Kind regards,
Joren
Comment 6 Jorendc 2014-04-25 20:18:48 UTC
No crash, tested using Windows 8.1 with LibreOffice Versie: 4.3.0.0.alpha1 
Build ID: 46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781 and Office 2013. So, probably is Word for Mac the bad one over here :-).

Marking as RESOLVED FIXED

Kind regards,
Joren